org.apache.sling.maven.projectsupport

## Class CreateKarafFeatureDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo
    - - org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo
      - - org.apache.sling.maven.projectsupport.CreateKarafFeatureDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="create-karaf-descriptor",
          defaultPhase=PACKAGE,
          requiresDependencyResolution=TEST)
    public class CreateKarafFeatureDescriptorMojo
    extends AbstractUsingBundleListMojo

Create and attach a karaf feature descriptor XML file.

### Field Summary

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`BUNDLE_PATH_PREFIX, CONFIG_PATH_PREFIX, defaultBundleList, JAR, mavenFileFilter, WAR`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`bundleListFile, commonSlingBootstrap, commonSlingProps, ignoreBundleListConfig, mavenSession, PARTIAL, project, projectHelper, standaloneSlingBootstrap, standaloneSlingProps, webappSlingBootstrap, webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CreateKarafFeatureDescriptorMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `executeWithArtifacts()` Execute the logic of the plugin after the default artifacts have been initialized.

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`execute, getConfigDirectory, getInitializedBundleList, getSlingBootstrap, getSlingProperties, initArtifactDefinitions, initBundleList, shouldCopy`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`copyDirectory, getArtifact, getArtifact`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateKarafFeatureDescriptorMojo

    public CreateKarafFeatureDescriptorMojo()

### Method Detail

#### executeWithArtifacts

    protected void executeWithArtifacts()
                                 throws org.apache.maven.plugin.MojoExecutionException,
                                        org.apache.maven.plugin.MojoFailureException

Description copied from class: `AbstractUsingBundleListMojo`
Execute the logic of the plugin after the default artifacts have been initialized.

Specified by:
  `executeWithArtifacts` in class `AbstractUsingBundleListMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`